KY Document.Info
T standardDocument
KY Document.SeqChapters
N Introduction
Core Suite
Required Suite
Miscellaneous Standard Suite
Finder Suite
Text Suite
QD Graphics Suite
QD Graphics Supplemental Suite
Tables Suite
Constants
C card 2
card 23
card 95
card 101
card 116
card 144
card 159
card 205
card 225
card 245
KY Document.AlphaChapters
N Constants
Core Suite
Finder Suite
Introduction
Miscellaneous Standard Suite
QD Graphics Suite
QD Graphics Supplemental Suite
Required Suite
Tables Suite
Text Suite
C card 245
card 23
card 116
card 2
card 101
card 159
card 205
card 95
card 225
card 144
KY Introduction.Sections
N Welcome to the Registry
Why Standards?
Registry Purpose
   Related Publications
   Organization
   How to Use the Registry
Sample Definitions
   Sample Object Class Definition
   Sample Primitive Class Definition
   Sample Event Definition
   Sample Type Definition
   Sample Constant Definition
Designing New Suites/Adding Functionality
   Notes
   Scenarios
   Class Definitions
   Primitive Class Definitions
   Event Definitions
   Type Definitions
   Constant Definitions
Registering New Suites
C card 2
card 3
card 4
card 5
card 6
card 7
card 8
card 9
card 10
card 11
card 12
card 13
card 14
card 15
card 16
card 17
card 18
card 19
card 20
card 21
card 22
KY Core Suite.Sections
N Notes
Classes
   cAbstractObject
   cOpenableThing
   cWindow
   cFloatingWindow
   cFile
   cApplication
   cDocument
   cSelection
   cText
   cWord
   cItem
   cChar
Primitive Classes
Events
   Get Data
   Set Data
   Delete Element
   New Element
   Move
   Clone
   Get Structure
   Begin Transaction
   End Transaction
   Get Data Size
   Is Uniform?
   Close
   Open
   Save
   Revert
   Undo
   Redo
   Application Died
   Copy
   Paste
   Cut
   Is There A?
   Number of Elements
Types
   typeAlias
   typeLongInteger
   typeShortInteger
   typeBoolean
   typeLongFloat
   typeShortFloat
   typeText
   typeIntlWritingCode
   typeType
   typeScrapStyles
   typeStyledText
   typeAEText
   typeEnumeration
   typeAEDescList
   typeAERecord
   typeAppleEvent
   typeObjectSpecifier
   typeQDPoint
   typeFixed16
   typeFixed16Point
   typeFixed16Rect
   typeRGB24
   typeFont
   typeQDRectangle
   typePropertyList
   typePropRec
   typeElementList
   typeElemRec
   TypeMacFileInfo
   typeDate
   typePSN
   typeNull
C card 23
card 24
card 25
card 26
card 27
card 28
card 29
card 30
card 31
card 32
card 33
card 34
card 35
card 36
card 37
card 38
card 39
card 40
card 41
card 42
card 43
card 44
card 45
card 46
card 47
card 48
card 49
card 50
card 51
card 52
card 53
card 54
card 55
card 56
card 57
card 58
card 59
card 60
card 61
card 62
card 63
card 64
card 65
card 66
card 67
card 68
card 69
card 70
card 71
card 72
card 73
card 74
card 75
card 76
card 77
card 78
card 79
card 80
card 81
card 82
card 83
card 84
card 85
card 86
card 87
card 88
card 89
card 90
card 91
card 92
card 93
card 94
KY Required Suite.Sections
N Notes
Events
   Open Application
   Open Documents
   Print Documents
   Quit Application
C card 95
card 96
card 97
card 98
card 99
card 100
KY Miscellaneous Standard Suite.Sections
N Notes
   Low Level Events
Scenarios
Classes
   cMenu
Events
   Do Menu
   Mouse Up
   Mouse Down
   DoubleClick
   Mouse Drag
   Do Script
   Set Insertion Point
   Make Selection Visible
   Create Publisher
C card 101
card 102
card 103
card 104
card 105
card 106
card 107
card 108
card 109
card 110
card 111
card 112
card 113
card 114
card 115
KY Finder Suite.Sections
N Notes
Scenarios
Events
   aeShowClipboard
   aeEmptyTrash
   aeSleep
   aeShutDown
   aeRestart
   aeSetPosition
   aeGrow
   aeZoom
   aeClose
   aePageSetup
   aePrintWindow
   aeChangeView
   aeOpenSelection
   aePrintSelection
   aeGetInfoSelection
   aeGetPrivilegeSelection
   aeDuplicateSelection
   aePutAwaySelection
   aeAliasSelection
   aeRevealSelection
   aeDrag
   aeMove
   aeAbout
Types
   FinderWindowType
C card 116
card 117
card 118
card 119
card 120
card 121
card 122
card 123
card 124
card 125
card 126
card 127
card 128
card 129
card 130
card 131
card 132
card 133
card 134
card 135
card 136
card 137
card 138
card 139
card 140
card 141
card 142
card 143
KY Text Suite.Sections
N Notes
   User Level Class Definitions
Scenarios
   Process Text and Return
   Adding Functionality
Classes
   cText
   cTextDocument
   cTextFlow
   cParagraph
   cLine
   cWord
   cChar
Types
   typeLevel1Text	
C card 144
card 145
card 146
card 147
card 148
card 149
card 150
card 151
card 152
card 153
card 154
card 155
card 156
card 157
card 158
KY QD Graphics Suite.Sections
N Notes
   Unit of Measure
   Use fixed16 for Points
   Optional Classes
   Abstract Classes
   Transfer Modes
   Color Format
   Bounding Rectangle and Pen
   Using Core Events with QD Graphic Classes
Scenarios
Classes
   cDrawingArea
   cGraphicObject
   cGroupedGraphic
   cGraphicLine
   cPixel
   cPixelMap
   cGraphicShape
   cRectangle
   cArc
   cPolygon
   cOval
   cRoundedRectangle
   cRGBColor
Primitive Classes
Events
   Image This Graphic
   Edit This Object
Types
   typeDrawingArea	
   typeGraphicObject	
   typeGraphicShape	
   typeGroupedGraphic	
   typeGraphicLine	
   typeRectangle	
   typeOval	
   typeQDArc	
   typePolygon	
   typePixelMap	
   typeResolution	
   typePattern
   typeRoundedRectangle	
   typeRGB24	
   typeColorTable	
   type2DIndex	
   typeDashStyle
C card 159
card 160
card 161
card 162
card 163
card 164
card 165
card 166
card 167
card 168
card 169
card 170
card 171
card 172
card 173
card 174
card 175
card 176
card 177
card 178
card 179
card 180
card 181
card 182
card 183
card 184
card 185
card 186
card 187
card 188
card 189
card 190
card 191
card 192
card 193
card 194
card 195
card 196
card 197
card 198
card 199
card 200
card 201
card 202
card 203
card 204
KY QD Graphics Suite.Figures
N Figure QDG1  - Apple Event Hierarchy
Figure QDG2  - QuickDraw Arcs
Figure QDG3  - QuickDraw Oval
Figure QDG4  - Rounded Rectangle Corner
C line 3 of card 159
line 28 of card 178
line 26 of card 180
line 28 of card 181
KY QD Graphics Supplemental Suite.Sections
N Notes
   About QuickDraw and Supplemental Events
   Optional Classes
Scenarios
Classes
   cPicture
   cDrawingArea
Primitive Classes
Types
   typeDrawingArea	
   typePositionalAccuracy	
   typeRGB16	
   typeRGB48	
   typeBW
   typeIndexed4
   typeIndexed16
   typeIndexed256
   typeColorTable
   typePen	
   typeRotateRecord
C card 205
card 206
card 207
card 208
card 209
card 210
card 211
card 212
card 213
card 214
card 215
card 216
card 217
card 218
card 219
card 220
card 221
card 222
card 223
card 224
KY QD Graphics Supplemental Suite.Figures
N Figure QDGS1  - Apple Event Hierarchy
C line 3 of card 205
KY Tables Suite.Sections
N Notes
   The Goals
   The Class Set
   Types
Scenarios
Classes
   cTable
   cRow
   cColumn
   cCell
Types
   typeTable
   typeRow
   typeColumn
   typeCell
   typePackedTable
   typePropValueList
   typePackedTableData
   typeMoney
   typeDataTime
C card 225
card 226
card 227
card 228
card 229
card 230
card 231
card 232
card 233
card 234
card 235
card 236
card 237
card 238
card 239
card 240
card 241
card 242
card 243
card 244
KY Tables Suite.Figures
N Figure T1  - Generic Table
Figure T2  - Classic Table
Figure T3  - Data Factoring Scheme
C line 5 of card 228
line 11 of card 228
line 14 of card 240
KY Constants.Sections
N Constants
   Constants, continued
C card 245
card 246
